Name: rescu
Version: 1.9.1
Release: 2%{?dist}
Summary: Lightweight Rest client utility for Java

License: MIT
URL: https://github.com/mmazi/rescu
Source0:  https://github.com/mmazi/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(javax.ws.rs:jsr311-api)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(net.iharder:base64)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(oauth.signpost:signpost-core)

%description
ResCU enables the user to create a proxy Rest client in run-time directly from a
JAX-RS annotated interface. ResCU is mostly focused on json-based services, and
uses Jackson for json-to-object mapping.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n rescu-rescu-%{version}

%build
# Skip tests for now, missing dependencies:
# org.assertj:assertj-core:2.1.0
# eu.codearte.catch-exception:catch-exception:1.4.4
# org.hamcrest:hamcrest-junit:2.0.0.0
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc README.md
%license LICENSE.txt

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Mar 31 2019 Jonny Heggheim <hegjon@gmail.com> - 1.9.1-1
- Updated to version 1.9.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.7.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.6.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.5.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.4.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.3.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-0.2.gitbeb9897
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 07 2015 Jonny Heggheim <hegjon@gmail.com> - 1.8.2-0.1.gitbeb9897
- Inital packaging
